/**
 * DO NOT EDIT THIS FILE.
 * @file
 */
;
(function ($, Drupal,drupalSettings) {

  /**
   * Add debugger command.
   */
  Drupal.AjaxCommands.prototype.debugger = function (ajax, response, status) {
    var debuggerWin = window.open('', 'window_debugger', 'status=no,location=no,toolbar=no,menubar=no,width=800,height=800,left=' + (window.innerWidth - 20));

    /**
     * page layout request
     * @return string
     */
    if (!$(debuggerWin.document).find('#debugerContainer').length) {
      $.ajax({
        url: '/' + drupalSettings.debuggerWindowHTML,
        success: function (html) {
          debuggerWin.document.write(html);
        },
        async: false
      });
    }
    debuggerWin.document.write(response.message);
    debuggerWin.focus();
  };

  /**
   * Calling a debugging page
   * CTRL + SHIFT + ENTER
   */
  var map = {17: false, 16: false, 13: false};
  $(document).keydown(function(e) {
      if (e.keyCode in map) {
          map[e.keyCode] = true;
          if (map[17] && map[16] && map[13]) {
            Drupal.ajax({
              url: '/debug/get',
              submit: {},
              element: $('#ajax_window__debugger')[0],
              progress: {
                type: 'throbber'
              }
            }).execute();
            return false;
          }
      }
  }).keyup(function(e) {
      if (e.keyCode in map) {
          map[e.keyCode] = false;
      }
  });

})(jQuery, Drupal,drupalSettings);
